Bug 717734 - Cannot access facts dialog via accessibility api in subscription-manager-gui
Cannot access facts dialog via accessibility api in subscription-manager-gui
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Bryan Kearney
J.C. Molet
Depends On:
Blocks: rhsm-rhel62
  Show dependency treegraph
Reported: 2011-06-29 13:48 EDT by J.C. Molet
Modified: 2011-12-06 12:21 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-12-06 12:21:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description J.C. Molet 2011-06-29 13:48:45 EDT
Description of problem:
In subscription-manager-gui, the expandable cells in the 'view systems facts' dialog cannot be accessed via the accessibility api (at-spi).

Version-Release number of selected component (if applicable):

Additional info:
This is not necessarily a bug per say, but a feature request that would provide a work around - and unblock automation of this dialog.

The 'view system facts' dialog presents its information as a tree. By default all items in the tree are hidden except for those items at the upper most layer.  You would then have to expand that tree item to view its children.  In the accessibility api, you would do this by using the "expandtablecell" function.  This function however is broken in this instance due to some yet to be determined reason - be it within gnome, the api, or the command server itself.

I propose the following: Double-clicking on any item in the tree that has children will either show or hide its children depending on it's current state.  You could double click anywhere within the table row to do this, and not just the tiny arrow icon.  This would make this dialog consistent with the behavior of many other tree views in other programs thus making it easier to use, and it will unblock automation of this window. 

Additionally this view does not recognize any keyboard input, and is unnavigable without a mouse.  It would be in the interest of general accessibility if keyboard commands could expand/collapse items in the tree (via arrow keys and/or space/enter) and access the 'update facts'/close buttons (with alt+u, alt+c).
Comment 1 Bryan Kearney 2011-07-12 09:01:12 EDT
Added expand/collapse to the tree view via mouse double clicking or by Space, Shift+Space, Return or Enter.

in commit 0e91e7c5cf1792ee263ed03743735c41fd0f1f6e in master
Comment 3 J.C. Molet 2011-07-13 11:56:34 EDT

VERIFIED in the above version.  This works with double clicking, space, return and enter as per keyboard navigation conventions.
Comment 4 errata-xmlrpc 2011-12-06 12:21:41 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.